Skip to main content

Schedule a price update on a subscription

POST 

/api/v3/package/:package_id/_action/schedulePriceChange

Scheduling a price update automatically changes the subscription price on the date specified.

The example to the right shows how to schedule a price update on a subscription by explicitly setting the price.

Valid values for pricemodel

  • fla - Flat Pricing (example: $X dollars every billing cycle)
  • uni - Unit Pricing (example: $X per unit every billing cycle)
  • vol - Volume Pricing (example: $X dollars every billing cycle, with different price levels depending on volume)
  • tie - Tiered Pricing (example: $X dollars every billing cycle for the first 10 units, then $Y dollars per month for the next 10 units, etc.)

Scheduling a price update automatically changes the subscription price on the date specified.

The example to the right shows how to schedule a price update on a subscription by using a percentage to increase the price.

Automatically increase your subscription price at regular intervals by scheduling a recurring price update.

The example to the right shows how to schedule a recurring price update on a subscription.

The recurring price update will only take effect after all your one-time schedules have been run.

Valid paycycles

  • dly - Daily
  • 1wk - Weekly
  • mon - Monthly
  • qtr - Quarterly
  • yrl - Yearly

Request

Responses

Action completed successfully